---------------------
PatchSet 678 
Date: 2003/04/12 19:04:23
Author: serassio
Branch: nt
Tag: (none) 
Log:
Changed win32 release notes format from txt to html

Members: 
	doc/win32-relnotes.html:1.1->1.1.2.1 
	doc/win32-relnotes.txt:1.2.18.1->1.2.18.2(DEAD) 

--- /dev/null	Wed Feb 14 12:16:11 2007
+++ squid3/doc/win32-relnotes.html	Wed Feb 14 12:16:33 2007
@@ -0,0 +1,148 @@
+<HTML>
+<!-- This document was created with HTMLed32      -->
+<HEAD>
+<TITLE>WIN32 Squid Release Notes</TITLE>
+</HEAD>
+
+<BODY>
+
+<H1>WIN32 Squid Release Notes</H1>
+<HR>
+<H2>Windows Service run mode</H2>
+
+<P>When Squid is compiled as a Windows service, the -N command line switch is disabled, and default run mode of
+Squid is no daemon (=no service) mode, so is possible to run Squid from command line
+for debug purpose with all command line options available.</P>
+<P>On Windows 2000/XP/.NET the service is configured to use the Windows Service Recovery option restarting
+automatically after 60 seconds.</P>
+
+<H2>Usage</H2>
+
+<P>The <B>squid -?</B> command gives the following output:
+
+<PRE>Usage: squid [-dhirsvzCDFRVYX] [-f config-file] [-[au] port] [-k signal] [-n nam
+e] [-O CommandLine]
+       -a port   Specify HTTP port number (default: 3128).
+       -d level  Write debugging to stderr also.
+       -f file   Use given config-file instead of
+                 c:/squid/etc/squid.conf
+       -h        Print help message.
+       -i        Installs as a Windows Service (see -n option).
+       -k reconfigure|rotate|shutdown|interrupt|kill|debug|check|parse
+                 Parse configuration file, then send signal to
+                 running copy (except -k parse) and exit.
+       -n name   Specify Windows Service name to use for service operations
+                 default is: SquidNT.
+       -r        Removes a Windows Service (see -n option).
+       -s        Enable logging to syslog.
+       -u port   Specify ICP port number (default: 3130), disable with 0.
+       -v        Print version.
+       -z        Create swap directories
+       -C        Do not catch fatal signals.
+       -D        Disable initial DNS tests.
+       -F        Don't serve any requests until store is rebuilt.
+       -O options
+                 Set Windows Service Command line options in Registry.
+       -R        Do not set REUSEADDR on port.
+       -S        Double-check swap during rebuild.
+       -V        Virtual host httpd-accelerator.
+       -X        Force full debugging.
+       -Y        Only return UDP_HIT or UDP_MISS_NOFETCH during fast reload.
+</PRE>
+
+<P>The service installation is made with <B>-i</B> command line switch, it's possible to use
+<B>-f</B> switch at the same time for specify a different config-file settings for the Squid
+Service that is stored on Registry.</P>
+<P>A new <B>-n</B> switch specify the Windows Service Name, so multiple Squid instance are allowed.
+"<I>SquidNT</I>" is the default when the switch is not used.</P>
+
+<P>So the install service syntax is:
+<PRE>squid -i [-f file] [-n name]
+</PRE></P>
+<P>To start as service is used a "hidden" --ntservice:service-name command line switch,
+where service-name is the name specified with -n options at service install time.</P>
+
+<P>Service uninstallation is made with <B>-r</B> command line switch plus the appropriate
+<B>-n</B> switch.</P>
+
+<P>The -k switch family must be used with the appropriate -f and -n switches, so the syntax is:
+
+<PRE>squid -k command [-f file] -n service-name</PRE>
+where service-name is the name specified with -n options at service install time.</P>
+
+<P>To use Squid original command line, the new -O switch must be used ONCE, the sintax is:
+
+<PRE>squid -O cmdline [-n service-name]</PRE>
+
+If multiple service command line options must be specified, use quote. The -n switch is
+needed only when non default service name is in use.</P>
+
+<P>Example:
+
+<PRE>squid -O "-D -a 8080" -n squidsvc</PRE></P>
+
+
+<H2>PSAPI.DLL (Process Status Helper) Considerations</H2>
+
+<P>The process status helper functions make it easier for you to obtain information about
+processes and device drivers running on Microsoft Windows NT/Windows 2000. These
+functions are available in PSAPI.DLL, which is distributed in the Microsoft Platform
+Software Development Kit (SDK). The same information is generally available through the
+performance data in the registry, but it is more difficult to get to it. PSAPI.DLL is
+freely redistributable.</P>
+
+<P>PSAPI.DLL is available only on Windows NT, 2000, XP and .NET. The implementation in Squid is
+aware of this, and try to use it only on the rigth platform.</P>
+
+<P>On Windows NT PSAPI.DLL can be found as component of many applications, if you need it,
+you can find it on Windows NT Resource KIT. If you have problem, it can be
+downloaded from here:
+<A HREF="http://download.microsoft.com/download/platformsdk/Redist/4.0.1371.1/NT4/EN-US/psinst.EXE">http://download.microsoft.com/download/platformsdk/Redist/4.0.1371.1/NT4/EN-US/psinst.EXE</A></P>
+
+<P>On Windows 2000 and later it is available installing the Windows Support Tools, located on the
+Support\Tools folder of the installation Windows CD-ROM.</P>
+
+
+<H2>Registry DNS lookup</H2>
+
+<P>On Windows platforms, if no value is specified in the dns_nameservers option on
+squid.conf or in the /etc/resolv.conf file, the list of DNS name servers are
+taken from the Windows registry, both static and dynamic DHCP configurations
+are supported.</P>
+
+
+<H2>Awin32 fs module</H2>
+
+<P>awin32 is a native WIN32 Async I/O Squid fs module derived from aufs. Configuration
+in squid.conf is identical to aufs, but You nedd to specify 'awin32' instead 'aufs' as
+cache type.</P>
+
+<H2>Compatibility Notes
+</H2><UL>
+<LI>Is recommended to use <B>/</B> char in Squid paths instead of <B>\</B>
+<LI>Paths with spaces (like <I>C:\Programs Files\Squid</I>) are <B>NOT</B> supported by Squid
+<LI>When using ACl like <I>acl aclname acltype "file"</I> the full Windows path must be specified, for example:
+<PRE>
+acl blocklist url_regex -i "c:/squid/etc/blocked1.txt"
+</PRE>
+<LI>The WIN32 equivalent of <B>/dev/null</B> is <B>NUL</B>
+<LI>Squid doesn't know how to run external helpers based on scripts, like .bat, .cmd, .vbs, .pl, etc.
+So, in squid.conf the interpreter path must be always specified, for example:
+<PRE>
+redirect_program c:/perl/bin/perl.exe c:/squid/libexec/redir.pl
+redirect_program c:/winnt/system32/cmd.exe /C c:/squid/libexec/redir.cmd
+</PRE></UL>
+
+<H2>Known Limitations:</H2>
+<UL>
+<LI>Squid features not operationals: DISKD, WCCP, Transparent Proxy.
+<LI>Some code sections can make blocking calls.
+<LI>Some external helpers may not work.
+<LI>File Descriptors number hard-limited to 2048
+</UL>
+<HR>
+<EM>To report a BUG, e-mail on <A HREF="mailto:squidnt@serassio.it">squidnt@serassio.it</A>.<BR>
+The latest version and documentation can be found on <A HREF="http://www.serassio.it/SquidNT.htm">http://www.serassio.it/SquidNT.htm</A>.</EM>
+<HR>
+</BODY>
+</HTML>
--- squid3/doc/win32-relnotes.txt	Wed Feb 14 12:16:33 2007
+++ /dev/null	Wed Feb 14 12:16:11 2007
@@ -1,76 +0,0 @@
-WIN32 Squid Relese Notes
-
-
-Windows Service run mode
-
-To enable the service mode, use the --enable-win32-service configure option
-When in Windows service mode the -N Squid switch is disabled, and default run mode of
-Squid is no daemon (=no service) mode, so is possible to run Squid from command line
-for debug purpose with all command line options available.
-
-The service installation is made with -i command line switch, it's possible to use 
--f switch at the same time for specify a different config-file settings for the Squid 
-Service that is stored on Registry.
-A new -n switch specify the Windows Service Name, so multiple Squid instance are allowed.
-"SquidNT" is the default when the switch is not used.
-
-So the install service syntax is "squid -i [-f file] [-n name]".
-
-To start as service is used a "hidden" --ntservice:service-name command line switch,
-where service-name is the name specified with -n options at service install time.
-
-Service uninstallation is made with -r command line switch plus the appropriate 
--n switch.
-
-The -k switch family must be used with the appropriate -f and -n switches, so the syntax is:
-
-squid -k command [-f file] -n service-name
-
-where service-name is the name specified with -n options at service install time.
-
-To use Squid original command line, the new -O switch must be used, the sintax is:
-
-squid -O cmdline [-n service-name]
-
-If multiple service command line options must be specified, use quote. The -n switch is 
-needed only when non default service name is in use.
-
-Example:
-
-squid -O "-D -a 8080" -n squidsvc
-
-
-PSAPI.DLL (Process Status Helper) Considerations
-
-The process status helper functions make it easier for you to obtain information about
-processes and device drivers running on Microsoft Windows NT/Windows 2000. These
-functions are available in PSAPI.DLL, which is distributed in the Microsoft Platform
-Software Development Kit (SDK). The same information is generally available through the
-performance data in the registry, but it is more difficult to get to it. PSAPI.DLL is
-freely redistributable.
-
-PSAPI.DLL is available only on Windows NT, 2000 and XP. The implementation in Squid is
-aware of this, and try to use it only on the rigth platform.
-
-On Windows NT PSAPI.DLL can be found as component of many applications, if you need it,
-you can find it on Windows NT Resource KIT. If you have problem, you can You can 
-download it here: 
-http://download.microsoft.com/download/platformsdk/Redist/4.0.1371.1/NT4/EN-US/psinst.EXE
-
-On Windows 2000 it is available installing the Windows 2000 Support Tools, located on the
-Support\Tools folder of the installation Windows 2000 CD-ROM.
-
-
-Registry DNS lookup
-
-On Windows platforms, if no value is specified in the dns_nameservers option on 
-squid.conf or in the /etc/resolv.conf file, the list of DNS name servers are
-taken from the Windows registry, both static and dynamic DHCP configurations
-are supported.
-
-
-Awin32 fs module
-
-awin32 is a native WIN32 Async I/O Squid fs module derived from aufs. Configuration
-in squid.conf is identical to aufs, but You nedd to specify awin32 instead aufs as 
-cache type.
